## Examples for Common Use Case

### [Module Templates](./module-templates)

Here you will find two different type of templates to start developing modules:

- [Complete](./module-templates/complete-module): Includes almost all available features, with comments on almost all of them
- [Basic](./module-templates/basic-module): Includes the basic structure, without any comments
- [Inter-bot Communication](./interbot): Includes an example of inter-bot communication, i.e. a Master bot delegating questions to two sub-bots

### [Custom Components](./custom-component)

This example will show you how to create custom components on the Web Chat and how to display them to users.

### [Chat 3rd Party OAuth](./chat-3rd-party-OAuth)

Here we will use Twitter as OAuth provider to authenticate the user in a chat session, same concepts can be applied with other providers. For step by step explanations, head to the [associated tutorial](https://botpress.io/docs/tutorials/3rd-party-OAuth/)

### [Inter-bot Communication](./interbot)

Includes an example of inter-bot communication, i.e. a Master bot delegating questions to two sub-bots. For step by step explanations, head to the [associated tutorial](https://botpress.io/docs/tutorials/inter-bot/)
